# Class VotLintContentHandler

java.lang.Object
uk.ac.starlink.ttools.votlint.VotLintContentHandler

All Implemented Interfaces:
  `ContentHandler, ErrorHandler`

public class VotLintContentHandler extends Object implements ContentHandler, ErrorHandler
SAX ContentHandler used for linting VOTables. Its main job is to push and pop ElementHandlers onto a stack as elements go in and out of scope. It is the ElementHandler objects which do the real element-specific work.

Since:
  7 Apr 2005
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`VotLintContentHandler(VotLintContext context)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] ch, int start, int length)`
`void`
`endDocument()`
`void`
`endElement(String namespaceURI, String localName, String qName)`
`void`
`endPrefixMapping(String prefix)`
`void`
`error(SAXParseException e)`
`void`
`fatalError(SAXParseException e)`
`void`
`ignorableWhitespace(char[] ch, int start, int length)`
`void`
`processingInstruction(String target, String data)`
`void`
`setDocumentLocator(Locator locator)`
`void`
`skippedEntity(String name)`
`void`
`startDocument()`
`void`
`startElement(String namespaceURI, String localName, String qName, Attributes atts)`
`void`
`startPrefixMapping(String prefix, String uri)`
`void`
`warning(SAXParseException e)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ContentHandler

`declaration`

## Constructor Details

### VotLintContentHandler

public VotLintContentHandler(VotLintContext context)
Constructor.

Parameters:
  `context` - context

## Method Details

### setDocumentLocator

public void setDocumentLocator(Locator locator)

Specified by:
  `setDocumentLocator` in interface `ContentHandler`

### startDocument

public void startDocument()

Specified by:
  `startDocument` in interface `ContentHandler`

### endDocument

public void endDocument()

Specified by:
  `endDocument` in interface `ContentHandler`

### startPrefixMapping

public void startPrefixMapping(String prefix, String uri)

Specified by:
  `startPrefixMapping` in interface `ContentHandler`

### endPrefixMapping

public void endPrefixMapping(String prefix)

Specified by:
  `endPrefixMapping` in interface `ContentHandler`

### startElement

public void startElement(String namespaceURI, String localName, String qName, Attributes atts)

Specified by:
  `startElement` in interface `ContentHandler`

### endElement

public void endElement(String namespaceURI, String localName, String qName)

Specified by:
  `endElement` in interface `ContentHandler`

### characters

public void characters(char[] ch, int start, int length)

Specified by:
  `characters` in interface `ContentHandler`

### ignorableWhitespace

public void ignorableWhitespace(char[] ch, int start, int length)

Specified by:
  `ignorableWhitespace` in interface `ContentHandler`

### processingInstruction

public void processingInstruction(String target, String data)

Specified by:
  `processingInstruction` in interface `ContentHandler`

### skippedEntity

public void skippedEntity(String name)

Specified by:
  `skippedEntity` in interface `ContentHandler`

### warning

public void warning(SAXParseException e)

Specified by:
  `warning` in interface `ErrorHandler`

### error

public void error(SAXParseException e)

Specified by:
  `error` in interface `ErrorHandler`

### fatalError

public void fatalError(SAXParseException e)

Specified by:
  `fatalError` in interface `ErrorHandler`